hashalgo.h File Reference
`#include <gwenhywfar/list2.h>`
`#include <gwenhywfar/db.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_CRYPT_HASHALGO | GWEN_CRYPT_HASHALGO

## Functions

GWENHYWFAR_API void | GWEN_Crypt_HashAlgo_Attach (GWEN_CRYPT_HASHALGO *a)
GWENHYWFAR_API GWEN_CRYPT_HASHALGO * | GWEN_Crypt_HashAlgo_dup (const GWEN_CRYPT_HASHALGO *a)
GWENHYWFAR_API void | GWEN_Crypt_HashAlgo_free (GWEN_CRYPT_HASHALGO *a)
GWENHYWFAR_API GWEN_CRYPT_HASHALGO * | GWEN_Crypt_HashAlgo_fromDb (GWEN_DB_NODE *db)
GWENHYWFAR_API GWEN_CRYPT_HASHALGOID | GWEN_Crypt_HashAlgo_GetId (const GWEN_CRYPT_HASHALGO *a)
GWENHYWFAR_API uint32_t | GWEN_Crypt_HashAlgo_GetInitVectorLen (const GWEN_CRYPT_HASHALGO *a)
GWENHYWFAR_API uint8_t * | GWEN_Crypt_HashAlgo_GetInitVectorPtr (const GWEN_CRYPT_HASHALGO *a)
GWENHYWFAR_API GWEN_CRYPT_HASHALGO * | GWEN_Crypt_HashAlgo_new (GWEN_CRYPT_HASHALGOID id)
GWENHYWFAR_API int | GWEN_Crypt_HashAlgo_SetInitVector (GWEN_CRYPT_HASHALGO *a, const uint8_t *pv, uint32_t lv)
GWENHYWFAR_API int | GWEN_Crypt_HashAlgo_toDb (const GWEN_CRYPT_HASHALGO *a, GWEN_DB_NODE *db)
GWENHYWFAR_API GWEN_CRYPT_HASHALGOID | GWEN_Crypt_HashAlgoId_fromString (const char *s)
GWENHYWFAR_API const char * | GWEN_Crypt_HashAlgoId_toString (GWEN_CRYPT_HASHALGOID a)
| GWEN_LIST2_FUNCTION_LIB_DEFS (GWEN_CRYPT_HASHALGO, GWEN_Crypt_HashAlgo, GWENHYWFAR_API) } typedef enum

## Variables

| GWEN_CRYPT_HASHALGOID

## Typedef Documentation

## GWEN_CRYPT_HASHALGO

typedef struct GWEN_CRYPT_HASHALGO GWEN_CRYPT_HASHALGO

Definition at line 21 of file hashalgo.h.

## Function Documentation

## GWEN_Crypt_HashAlgo_Attach()

GWENHYWFAR_API void GWEN_Crypt_HashAlgo_Attach | ( | GWEN_CRYPT_HASHALGO * | a | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_HashAlgo_dup()

GWENHYWFAR_API GWEN_CRYPT_HASHALGO * GWEN_Crypt_HashAlgo_dup | ( | const GWEN_CRYPT_HASHALGO * | a | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_HashAlgo_free()

GWENHYWFAR_API void GWEN_Crypt_HashAlgo_free | ( | GWEN_CRYPT_HASHALGO * | a | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_HashAlgo_fromDb()

GWENHYWFAR_API GWEN_CRYPT_HASHALGO * GWEN_Crypt_HashAlgo_fromDb | ( | GWEN_DB_NODE * | db | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_HashAlgo_GetId()

GWENHYWFAR_API GWEN_CRYPT_HASHALGOID GWEN_Crypt_HashAlgo_GetId | ( | const GWEN_CRYPT_HASHALGO * | a | ) |

References GWEN_CRYPT_HASHALGOID, and GWENHYWFAR_API.

## GWEN_Crypt_HashAlgo_GetInitVectorLen()

GWENHYWFAR_API uint32_t GWEN_Crypt_HashAlgo_GetInitVectorLen | ( | const GWEN_CRYPT_HASHALGO * | a | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_HashAlgo_GetInitVectorPtr()

GWENHYWFAR_API uint8_t * GWEN_Crypt_HashAlgo_GetInitVectorPtr | ( | const GWEN_CRYPT_HASHALGO * | a | ) |

References GWENHYWFAR_API.

## GWEN_Crypt_HashAlgo_new()

GWENHYWFAR_API GWEN_CRYPT_HASHALGO * GWEN_Crypt_HashAlgo_new | ( | GWEN_CRYPT_HASHALGOID | id | ) |

References GWEN_CRYPT_HASHALGOID, and GWENHYWFAR_API.

## GWEN_Crypt_HashAlgo_SetInitVector()

GWENHYWFAR_API int GWEN_Crypt_HashAlgo_SetInitVector | ( | GWEN_CRYPT_HASHALGO * | a,
|  | const uint8_t * | pv,
|  | uint32_t | lv )

References GWENHYWFAR_API.

## GWEN_Crypt_HashAlgo_toDb()

GWENHYWFAR_API int GWEN_Crypt_HashAlgo_toDb | ( | const GWEN_CRYPT_HASHALGO * | a,
|  | GWEN_DB_NODE * | db )

References GWENHYWFAR_API.

## GWEN_Crypt_HashAlgoId_fromString()

GWENHYWFAR_API GWEN_CRYPT_HASHALGOID GWEN_Crypt_HashAlgoId_fromString | ( | const char * | s | ) |

References GWEN_CRYPT_HASHALGOID, and GWENHYWFAR_API.

## GWEN_Crypt_HashAlgoId_toString()

GWENHYWFAR_API const char * GWEN_Crypt_HashAlgoId_toString | ( | GWEN_CRYPT_HASHALGOID | a | ) |

References GWEN_CRYPT_HASHALGOID, and GWENHYWFAR_API.

## GWEN_LIST2_FUNCTION_LIB_DEFS()

GWEN_LIST2_FUNCTION_LIB_DEFS | ( | GWEN_CRYPT_HASHALGO | ,
|  | GWEN_Crypt_HashAlgo | ,
|  | GWENHYWFAR_API | )

SHA-1

Ripemd 160

MD-5

Definition at line 28 of file hashalgo.h.

References GWENHYWFAR_API.

## Variable Documentation

## GWEN_CRYPT_HASHALGOID

GWEN_CRYPT_HASHALGOID

Definition at line 48 of file hashalgo.h.

Referenced by GWEN_Crypt_HashAlgo_GetId(), GWEN_Crypt_HashAlgo_new(), GWEN_Crypt_HashAlgoId_fromString(), GWEN_Crypt_HashAlgoId_toString(), GWEN_MDigest_GetHashAlgoId(), and GWEN_MDigest_new().